Bug 162119 - slocate / updatedb appears to have a memory leak
slocate / updatedb appears to have a memory leak
Product: Fedora
Classification: Fedora
Component: libgtop2 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Depends On:
  Show dependency treegraph
Reported: 2005-06-29 23:32 EDT by David Dunbar
Modified: 2014-06-18 05:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-23 12:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
System monitor output when the /etc/cron.daily/slocate.cron is executed manually. (67.18 KB, image/jpeg)
2005-06-29 23:32 EDT, David Dunbar
no flags Details

  None (edit)
Description David Dunbar 2005-06-29 23:32:41 EDT
Description of problem:
The daily cron job /etc/cron.daily/slocate.cron does not release memory.

Version-Release number of selected component (if applicable):
Secure Locate 2.7 - Released January 24, 2003

How reproducible:
Memory usage jumps every time the cron job runs, either by the cron job or manually.

Steps to Reproduce:
1. Let the cron job run.
Actual results:
Memory utilization does not drop down after the cron job is done.

Expected results:
The memory utilization should drop,

Additional info:
Comment 1 David Dunbar 2005-06-29 23:32:42 EDT
Created attachment 116160 [details]
System monitor output when the /etc/cron.daily/slocate.cron is executed manually.
Comment 2 Miloslav Trmač 2005-07-03 17:19:06 EDT
Running slocate allocates many entries in the dentry and inode caches,
which are accounted for in the Slab: line of /proc/meminfo.

libgtop2's glibtop_get_mem_s () computes "user" memory as
  MemTotal: - MemFree: - Cached: - Buffer:
(using the /proc/meminfo terminology), which means that the dentry cache
is accounted for as "user" memory.

I'm not quite sure whether just subtracting Slab: from "user" memory is
good enough (some of the memory allocated as Slab: is directly caused
by user-space actions, e.g. opening a file, creating a process), but
I think it still would be an improvement. More detail is available in
/proc/slabinfo if necesary.
Comment 3 Matthew Miller 2006-07-10 16:25:33 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.